package com.eactive.eai.rms.onl.statistics.system.monthly;

import java.util.HashMap;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;



/**
 * <pre>
 * 1. 기능 : 시스템별 월별
 * 2. 처리 개요 : 
 *     - 
 * 3. 주의사항 : 
 * </pre>
 * @author  : 
 * @version : $Revision: 1.1 $
 * @since : rts 1.0
 * @spring.bean id ="systemMonthlyService" 
 * @spring.property name="systemMonthlyDAO" ref="systemMonthlyDAO"
 */
@Service("systemMonthlyService")
public class SystemMonthlyService {
	@Autowired
	@Qualifier("systemMonthlyDAO")
    private SystemMonthlyDAO dao = null;
    
    public HashMap<String, Object> selectList(HashMap<String,Object> param) throws Exception{
    	
    	// 전체 목록수 얻기
    	HashMap<String, Object> totalMap = dao.selectListCount(param);
    	
    	List<HashMap<String, Object>> list = dao.selectList(param);
    	
    	HashMap<String, Object> map = new HashMap<String, Object>();

		map.put("totalSum", totalMap);
		map.put("list", list);
		
        return map;
    }

}
